]> arthur.barton.de Git - bup.git/blobdiff - cmd/init-cmd.py
Add initial test-list-idx.sh
[bup.git] / cmd / init-cmd.py
index 2e4a1513b99c058a1fec43ba0e62091d3ed2158d..fabd98c2d1711affba816b7742f3ff3ca30c93db 100755 (executable)
@@ -1,4 +1,9 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
 import sys
 
 from bup import git, options, client
@@ -19,7 +24,7 @@ if extra:
 
 try:
     git.init_repo()  # local repo
-except git.GitError, e:
+except git.GitError as e:
     log("bup: error: could not init repository: %s" % e)
     sys.exit(1)